Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.commonj
Class WorkManagerThreadExecutor

    java.lang.Object
      org.quartz.commonj.WorkManagerThreadExecutor

All Implemented Interfaces:
  ThreadExecutor

    public class WorkManagerThreadExecutor

extends Object
implements ThreadExecutor

CommonJ WorkManager implementation of hacked Quartz ThreadExecutor class. This class schedules work on a WorkManager which is looked up in JNDI. The advantage is that all the work performed is done on a managed thread which is required by WebSphere, see QUARTZ-743 for details.

Version:
  $Revision: 2243 $ $Date: 2013-04-30 11:39:48 -0700 (Tue, 30 Apr 2013) $
Author:
  matt.accola

Constructor Summary
`WorkManagerThreadExecutor()`

Method Summary
`void` | `execute(Thread thread)` Submit a task for execution
`void` | `initialize()` Initialize any state prior to calling `ThreadExecutor.execute(Thread)`
`void` | `setWorkManagerName(String workManagerName)` Sets the JNDI name of the work manager to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkManagerThreadExecutor

    public WorkManagerThreadExecutor()

Method Detail

### execute

    public void execute(Thread thread)

  Description copied from interface: `ThreadExecutor`
  Submit a task for execution

  Specified by:
    `execute` in interface `ThreadExecutor`
  Parameters:
    `thread` - the thread to execute

### initialize

    public void initialize()

  Description copied from interface: `ThreadExecutor`
  Initialize any state prior to calling `ThreadExecutor.execute(Thread)`

  Specified by:
    `initialize` in interface `ThreadExecutor`

### setWorkManagerName

    public void setWorkManagerName(String workManagerName)

  Sets the JNDI name of the work manager to use.

  Parameters:
    `workManagerName` - the JNDI name to use to lookup the work manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.